package com.example.wholeestate.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.example.wholeestate.common.resp.ResponseBean;
import com.example.wholeestate.model.PageImg;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author jobob
 * @since 2019-03-22
 */
public interface IPageImgService extends IService<PageImg> {
    /**
     * 后台图片根据Id查
     * @param id
     * @return
     */
    ResponseBean apageImgSelect(String id);

    /**
     * 后台图片添加
     * @param imgLocation
     * @param imgType
     * @param url
     * @param orderNo
     * @return
     */
    ResponseBean pageImAdd(String imgLocation, String imgType, String url, String orderNo);

    /**
     * 修改后台首页图片
     * @param imgLocation
     * @param imgType
     * @param url
     * @param orderNo
     * @return
     */
    ResponseBean pageImUpdate(String imgLocation, String imgType, String url, String orderNo);
}
